gtkmm 3.1.16

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::FontChooser Class Reference
Widgets

A widget for selecting fonts. More...

Inheritance diagram for Gtk::FontChooser:
[legend]
Collaboration diagram for Gtk::FontChooser:
[legend]

List of all members.

## Public Member Functions
virtual | ~FontChooser ()
GtkFontChooser* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkFontChooser* | gobj () const
| Provides access to the underlying C GtkObject.
| FontChooser ()
Glib::RefPtr< Pango::FontFamily > | get_family ()
Glib::RefPtr< const Pango::FontFamily > | get_family () const
Glib::RefPtr< Pango::FontFace > | get_face ()
Glib::RefPtr< const Pango::FontFace > | get_face () const
int | get_size () const
Glib::ustring | get_font_name () const
bool | set_font_name (const Glib::ustring& fontname)
Glib::ustring | get_preview_text () const
void | set_preview_text (const Glib::ustring& fontname)
bool | get_show_preview_entry () const
void | set_show_preview_entry (bool show_preview_entry=true)
## Related Functions
(Note that these are not member functions.)
Gtk::FontChooser* | wrap (GtkFontChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A widget for selecting fonts.

The Gtk::FontChooser widget lists the available fonts, styles and sizes, allowing the user to select a font. It is used in the Gtk::FontChooserDialog widget to provide a dialog box for selecting fonts.

To set the font which is initially selected, use set_font_name().

To get the selected font use get_font_name().

To change the text which is shown in the preview area, use set_preview_text().

Since gtkmm 3.2:

## Constructor & Destructor Documentation

virtual Gtk::FontChooser::~FontChooser | ( |  | ) | `[virtual]`

Gtk::FontChooser::FontChooser | ( |  | ) |

## Member Function Documentation

Glib::RefPtr<Pango::FontFace> Gtk::FontChooser::get_face | ( |  | ) |

Glib::RefPtr<const Pango::FontFace> Gtk::FontChooser::get_face | ( |  | ) | const

Glib::RefPtr<Pango::FontFamily> Gtk::FontChooser::get_family | ( |  | ) |

Glib::RefPtr<const Pango::FontFamily> Gtk::FontChooser::get_family | ( |  | ) | const

Glib::ustring Gtk::FontChooser::get_font_name | ( |  | ) | const

Glib::ustring Gtk::FontChooser::get_preview_text | ( |  | ) | const

bool Gtk::FontChooser::get_show_preview_entry | ( |  | ) | const

int Gtk::FontChooser::get_size | ( |  | ) | const

const GtkFontChooser* Gtk::FontChooser::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Box.

GtkFontChooser* Gtk::FontChooser::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Box.

bool Gtk::FontChooser::set_font_name | ( | const Glib::ustring & | fontname | ) |

void Gtk::FontChooser::set_preview_text | ( | const Glib::ustring & | fontname | ) |

void Gtk::FontChooser::set_show_preview_entry | ( | bool | show_preview_entry = `true` | ) |

## Friends And Related Function Documentation

Gtk::FontChooser* wrap | ( | GtkFontChooser * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/fontchooser.h